Uploaded image for project: 'Apache Cordova'
  1. Apache Cordova
  2. CB-12046

cordova prepare needed for iOS in case of Xcode 8

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Done
    • Affects Version/s: 6.3.1
    • Fix Version/s: None
    • Component/s: cordova-ios
    • Labels:
      None

      Description

      After upgrading to Xcode 8, if I add cordova-sqlite-storage and add the ios platform, I have to do cordova prepare before I am able to run the project on iOS. I encounter the same thing if I make a test app with cordova-plugin-dialogs. I started to discuss this in: https://github.com/cordova/cordova-discuss/issues/55

      I think this helps explain both the problem and workaround solution in https://github.com/litehelpers/Cordova-sqlite-storage/issues/567 ("iOS 10 support") and https://github.com/litehelpers/Cordova-sqlcipher-adapter/issues/22 ("WKWebView incompatible").

      Note that this is NOT an issue with the macOS ("osx") platform.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              brodybits Chris Brody
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: